/*
 * Class SPECIAL [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1716 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1716 [] = {0xFF01,1551,1715,860,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1716 [] = {0xFF01,1715,860,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1716 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1716 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1716 [] = {0xFF01,1715,860,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1716 [] = {0xFF01,1715,860,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1716 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1716 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1716 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1716 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1716 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1716 [] = {1715,860,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1716 [] = {0xFF01,1715,860,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1716 [] = {0xFF01,1717,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1716 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1716 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1716 [] = {0xFF01,1744,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1716 [] = {0xFF01,1721,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1716 [] = {0xFF01,1715,860,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1716 [] = {0xFF01,1715,860,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1716 [] = {0xFF01,1715,860,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1716 [] = {0xFF01,1715,860,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1716 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1716 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1716 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_1716[] = {
	{EIF_GENERIC(NULL), 15362, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1716), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1716), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1716), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1716), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1716), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1716), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1716), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1716), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1716), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1716), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1716), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1716), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1716), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1716), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1716), 11013, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1716), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15363, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15364, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15365, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1716), 15367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 15369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 15370, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1716), 15371, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1716), 15372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15374, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15378, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15381, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15332, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15333, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15334, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15335, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15336, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15337, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15338, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15339, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15340, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15341, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15342, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15343, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15344, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15345, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1716), 15346, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1716), 15347, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1716), 15348, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1716), 15349, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15350, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15351, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15352, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15353, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15356, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15357, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15360, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15361, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1716), 15366, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1716), 15373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1716), 15359, 0xFFFFFFFF},
};
void Init1716(void)
{
	IDSC(desc_1716, 0, 1715);
	IDSC(desc_1716 + 1, 1, 1715);
	IDSC(desc_1716 + 32, 1088, 1715);
	IDSC(desc_1716 + 34, 2, 1715);
	IDSC(desc_1716 + 77, 1570, 1715);
	IDSC(desc_1716 + 80, 949, 1715);
	IDSC(desc_1716 + 83, 224, 1715);
}


#ifdef __cplusplus
}
#endif
